SystemOrganization addCategory: #'GMF-MetaModel'!

Object subclass: #Attribut
	instanceVariableNames: 'name dataType quantity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Attribut class methodsFor: 'instance creation' stamp: 'Anonymous 4/5/2013 10:30'!
name: newName dataType: newDataType quantity: newQuantity

	^(super new initialize)
		name: newName;
		dataType: newDataType;
		quantity: newQuantity;
		yourself! !

!Attribut methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 10:28'!
dataType
	^ dataType! !

!Attribut methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 10:28'!
dataType: anObject
	dataType := anObject! !

!Attribut methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 10:29'!
name
	^ name! !

!Attribut methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 10:28'!
name: anObject
	name := anObject! !

!Attribut methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 10:28'!
quantity
	^ quantity! !

!Attribut methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 10:28'!
quantity: anObject
	quantity := anObject! !

Object subclass: #Comment
	instanceVariableNames: 'body'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

Object subclass: #ElementAssociation
	instanceVariableNames: 'start startQuantity end endQuantity name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

ElementAssociation subclass: #DirectedBinaryAssociation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

DirectedBinaryAssociation subclass: #DependencyRelationship
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

DependencyRelationship subclass: #Characterization
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

DependencyRelationship subclass: #Derivation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

DependencyRelationship subclass: #Mediation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

DirectedBinaryAssociation subclass: #Meronymic
	instanceVariableNames: 'isEssential isInseparable isImmutablePart isImmutableWhole'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

Meronymic subclass: #ComponentOf
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

Meronymic subclass: #MemberOf
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Meronymic methodsFor: 'initialize-release' stamp: 'Anonymous 4/5/2013 11:53'!
initialize
	"Initialize a newly created instance. This method must answer the receiver."

	super initialize.
	" *** Edit the following to properly initialize instance variables ***"
	isEssential := False.
	isImmutablePart := False.
	isImmutableWhole := False.
	isInseparable := False.
	" *** And replace this comment with additional initialization code *** "
	^self! !

!Meronymic methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:51'!
isEssential
	^ isEssential! !

!Meronymic methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:51'!
isEssential: anObject
	isEssential := anObject! !

!Meronymic methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:51'!
isImmutablePart
	^ isImmutablePart! !

!Meronymic methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:51'!
isImmutablePart: anObject
	isImmutablePart := anObject! !

!Meronymic methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:51'!
isImmutableWhole
	^ isImmutableWhole! !

!Meronymic methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:51'!
isImmutableWhole: anObject
	isImmutableWhole := anObject! !

!Meronymic methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:51'!
isInseparable
	^ isInseparable! !

!Meronymic methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:51'!
isInseparable: anObject
	isInseparable := anObject! !

Meronymic subclass: #SubCollectionOf
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

Meronymic subclass: #SubQuantityOf
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!ElementAssociation class methodsFor: 'instance creation' stamp: 'Anonymous 5/6/2013 17:17'!
name: newName start: newStart end: newEnd
	^(super new initialize)
		name: newName;
		start: newStart;
		end: newEnd;
		yourself! !

!ElementAssociation class methodsFor: 'instance creation' stamp: 'Anonymous 4/5/2013 11:33'!
name: newName start: newStart startQuantity: newStartQuantity end: newEnd endQuantity: newEndQuantity
	^(super new initialize)
		name: newName;
		start: newStart;
		startQuantity: newStartQuantity;
		end: newEnd;
		endQuantity: newEndQuantity;
		yourself! !

!ElementAssociation methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:30'!
end
	^ end! !

!ElementAssociation methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:30'!
end: anObject
	end := anObject! !

!ElementAssociation methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:30'!
endQuantity
	^ endQuantity! !

!ElementAssociation methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:30'!
endQuantity: anObject
	endQuantity := anObject! !

!ElementAssociation methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:36'!
name
	^ name! !

!ElementAssociation methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:36'!
name: anObject
	name := anObject! !

!ElementAssociation methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:30'!
start
	^ start! !

!ElementAssociation methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:30'!
start: anObject
	start := anObject! !

!ElementAssociation methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:30'!
startQuantity
	^ startQuantity! !

!ElementAssociation methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 11:30'!
startQuantity: anObject
	startQuantity := anObject! !

ElementAssociation subclass: #FormalAssociation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

ElementAssociation subclass: #MaterialAssociation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

Object subclass: #ElementClass
	instanceVariableNames: 'attributs methods comment associations name parent isTransformed'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!ElementClass class methodsFor: 'instance creation' stamp: 'Anonymous 4/4/2013 10:37'!
name: newName

^(super new initialize)
name: newName;
yourself! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 4/2/2013 23:17'!
associations
	^ associations! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 4/2/2013 23:17'!
associations: anObject
	associations := anObject! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 4/2/2013 23:19'!
attributs
	^ attributs! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 4/2/2013 23:19'!
attributs: anObject
	attributs := anObject! !

!ElementClass methodsFor: 'methods' stamp: 'Anonymous 5/6/2013 16:38'!
checkIfClassIsValid

	^true! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 4/2/2013 23:18'!
comment
	^ comment! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 4/2/2013 23:18'!
comment: anObject
	comment := anObject! !

!ElementClass methodsFor: 'initialize-release' stamp: 'Anonymous 5/8/2013 17:54'!
initialize
	"Initialize a newly created instance. This method must answer the receiver."

	super initialize.
	" *** Edit the following to properly initialize instance variables ***"
	name := nil.
	attributs := Set new.
	methods := Set new.
	associations := Set new.
	comment := nil.
	parent := nil.
	isTransformed := false.
	" *** And replace this comment with additional initialization code *** "
	^self! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 5/8/2013 17:54'!
isTransformed
	^ isTransformed! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 5/8/2013 17:54'!
isTransformed: anObject
	isTransformed := anObject! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 4/2/2013 23:18'!
methods
	^ methods! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 4/4/2013 10:30'!
methods: anObject
	methods := anObject! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 4/4/2013 10:42'!
name
	^ name! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 4/4/2013 10:42'!
name: anObject
	name := anObject! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 4/8/2013 09:14'!
parent
	^ parent! !

!ElementClass methodsFor: 'accessing' stamp: 'Anonymous 4/8/2013 09:14'!
parent: anObject
	parent := anObject! !

ElementClass subclass: #MomentClass
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

MomentClass subclass: #Mode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Mode methodsFor: 'methods' stamp: 'Anonymous 5/7/2013 17:52'!
checkIfClassIsValid

   | checkMode |
      "mode podobne ako quality musi byt napojeny na koniec characterizacnej relace"
	associations do: [ :b | ( ( b end class = Mode ) & ( b class = Characterization  ) ) ifTrue: [ checkMode := true. ] ].
	"mode nemoze mat ako nadtyp kind subkind role a phase"
	( ( parent class = Kind ) | ( parent class = SubKind ) | ( parent class = Role ) | ( parent class = Phase ) ) 
	      ifTrue: [ checkMode := nil ].
	
	   ( checkMode notNil )
            ifTrue: [ ^true ];
            ifFalse: [^false ].! !

MomentClass subclass: #Quality
	instanceVariableNames: 'asAttribute'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Quality methodsFor: 'accessing' stamp: 'Anonymous 4/8/2013 09:51'!
asAttribute
	^ asAttribute! !

!Quality methodsFor: 'accessing' stamp: 'Anonymous 4/8/2013 09:51'!
asAttribute: anObject
	asAttribute := anObject! !

!Quality methodsFor: 'methods' stamp: 'Anonymous 5/7/2013 17:54'!
checkIfClassIsValid

   | checkQuality |
      "qualita podobne ano mode musi byt napojeny na koniec characterizacnej relace"
	associations do: [ :b | ( ( b end class = Quality ) & ( b class = Characterization  ) ) ifTrue: [ checkQuality := true. ] ].
	"qualita nemoze mat ako nadtyp kind subkind role a phase"
	( ( parent class = Kind ) | ( parent class = SubKind ) | ( parent class = Role ) | ( parent class = Phase ) ) 
	      ifTrue: [ checkQuality := nil ].
	
	   ( checkQuality notNil )
            ifTrue: [ ^true ];
            ifFalse: [^false ].! !

!Quality methodsFor: 'initialize-release' stamp: 'Anonymous 4/8/2013 09:51'!
initialize
	"Initialize a newly created instance. This method must answer the receiver."

	super initialize.
	" *** Edit the following to properly initialize instance variables ***"
	asAttribute := False.
	" *** And replace this comment with additional initialization code *** "
	^self! !

MomentClass subclass: #Relator
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Relator methodsFor: 'methods' stamp: 'Anonymous 5/7/2013 11:01'!
checkIfClassIsValid

   | relAssociation |
    
	associations do: [ :b | ( ( b end class = Relator ) & ( b class = Mediation  ) ) ifTrue: [ relAssociation := b end ] ].
	
	( ( parent class = Kind ) | ( parent class = SubKind ) | ( parent class = Quantity ) | ( parent class = Collective ) | ( parent class = Role ) | ( parent class = Phase ) ) ifTrue: [ relAssociation := nil ].
	
	   ( relAssociation notNil )
            ifTrue: [ ^true ];
            ifFalse: [^false ].! !

ElementClass subclass: #ObjectClass
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

ObjectClass subclass: #MixinClass
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

MixinClass subclass: #NonRigidMixinClass
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

NonRigidMixinClass subclass: #AntiRigidMixinClass
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

AntiRigidMixinClass subclass: #RoleMixin
	instanceVariableNames: 'roles'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!RoleMixin methodsFor: 'methods' stamp: 'Anonymous 5/7/2013 17:46'!
checkIfClassIsValid

   | checkRoleMix |
    "rolemixin ma pod sebov aspon 1 role"
    roles do: [:b | checkRoleMix := true ].
    "rolemixin nemoze mat ako nadtyp kind subkind role phase"
	( ( parent class = Kind ) | ( parent class = SubKind ) | ( parent class = Role ) | ( parent class = Phase ) )
	    ifTrue: [ checkRoleMix := nil ].
	
	   ( checkRoleMix notNil )
            ifTrue: [ ^true ];
            ifFalse: [^false ].! !

!RoleMixin methodsFor: 'initialize-release' stamp: 'Anonymous 5/7/2013 14:06'!
initialize
	"Initialize a newly created instance. This method must answer the receiver."

	super initialize.
	" *** Edit the following to properly initialize instance variables ***"
	roles := Set new.
	" *** And replace this comment with additional initialization code *** "
	^self! !

!RoleMixin methodsFor: 'accessing' stamp: 'Anonymous 5/7/2013 14:04'!
roles
	^ roles! !

!RoleMixin methodsFor: 'accessing' stamp: 'Anonymous 5/7/2013 14:04'!
roles: anObject
	roles := anObject! !

NonRigidMixinClass subclass: #SemiRigidMixinClass
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

SemiRigidMixinClass subclass: #Mixin
	instanceVariableNames: 'mixObjects'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Mixin methodsFor: 'methods' stamp: 'Anonymous 5/7/2013 17:11'!
checkIfClassIsValid

   | rigidObject nonRigidObject |
      "mixin potrebuje mat pod sebov jeden rigidny a jeden nonrigidny object"
       rigidObject  := mixObjects detect: [:b |  ( ( b class = Kind ) | ( b class = SubKind ) ) ].
       nonRigidObject := mixObjects detect: [:b |  ( ( b class = Phase ) | ( b class = Role ) ) ].

  ( ( rigidObject = nil ) | ( nonRigidObject = nil ) ) ifTrue: [ ^false ].
"nemoze byt pod kind subkind role phase rolemixin"
( ( parent class = Kind ) | ( parent class = SubKind ) | ( parent class = Role ) | ( parent class = Phase ) | ( parent class = RoleMixin ) ) ifTrue: [ ^false ].

	  ^true.! !

!Mixin methodsFor: 'initialize-release' stamp: 'Anonymous 5/7/2013 17:03'!
initialize
	"Initialize a newly created instance. This method must answer the receiver."

	super initialize.
	" *** Edit the following to properly initialize instance variables ***"
	mixObjects := Set new.
	" *** And replace this comment with additional initialization code *** "
	^self! !

!Mixin methodsFor: 'accessing' stamp: 'Anonymous 5/7/2013 17:03'!
mixObjects
	^ mixObjects! !

!Mixin methodsFor: 'accessing' stamp: 'Anonymous 5/7/2013 17:03'!
mixObjects: anObject
	mixObjects := anObject! !

MixinClass subclass: #RigidMixinClass
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

RigidMixinClass subclass: #Category
	instanceVariableNames: 'subObjects'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Category methodsFor: 'methods' stamp: 'Anonymous 5/7/2013 17:33'!
checkIfClassIsValid

   | checkCategory |
     "category musi byt nadtypom aspon jedneho objektu typicky kindu"
     subObjects do: [:b | checkCategory  := 1 ].
     "category nesmie mat ako nadtyp kind subkind role phase rolemixin"
	( ( parent class = Kind ) | ( parent class = SubKind ) | ( parent class = Role ) | ( parent class = Phase ) | ( parent class = RoleMixin  ) ) ifTrue: [ checkCategory := nil ].
	
	   ( checkCategory  notNil )
            ifTrue: [ ^true ];
            ifFalse: [^false ].! !

!Category methodsFor: 'initialize-release' stamp: 'Anonymous 5/7/2013 10:55'!
initialize
	"Initialize a newly created instance. This method must answer the receiver."

	super initialize.
	" *** Edit the following to properly initialize instance variables ***"
	subObjects := Set new.
	" *** And replace this comment with additional initialization code *** "
	^self! !

!Category methodsFor: 'accessing' stamp: 'Anonymous 5/7/2013 10:54'!
subObjects
	^ subObjects! !

!Category methodsFor: 'accessing' stamp: 'Anonymous 5/7/2013 10:54'!
subObjects: anObject
	subObjects := anObject! !

ObjectClass subclass: #SortalClass
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

SortalClass subclass: #AntiRigidSortalClass
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

AntiRigidSortalClass subclass: #Phase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Phase methodsFor: 'methods' stamp: 'Anonymous 5/7/2013 17:30'!
checkIfClassIsValid

	( ( parent class = Kind ) | 
	  ( parent class = SubKind ) | 
        ( parent class = Collective ) |
	  ( parent class = Phase ) |
        ( parent class = Role ) | 
	  ( parent class = Quantity ) ) ifTrue:[ ^true ].
	
        ^false.
	
	
	
	
! !

AntiRigidSortalClass subclass: #Role
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Role methodsFor: 'methods' stamp: 'Anonymous 5/7/2013 17:27'!
checkIfClassIsValid

    
	( ( parent class = Kind ) | 
	  ( parent class = SubKind ) | 
        ( parent class = Collective ) |
	  ( parent class = Phase ) |
        ( parent class = Role ) | 
	  ( parent class = Quantity ) ) ifTrue:[ ^true ].
	
        ^false.
     
! !

SortalClass subclass: #RigidSortalClass
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

RigidSortalClass subclass: #SubKind
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!SubKind methodsFor: 'methods' stamp: 'Anonymous 5/7/2013 17:48'!
checkIfClassIsValid
     "subkind dedi od kind"
     ( parent class = Kind )
            ifTrue: [ ^true ].
     "ak subkind dedi od subkind overim este ostatne subkindy ci su spravne"
     ( parent class = SubKind )
            ifTrue: [ ^(parent checkIfClassIsValid) ].

     ^false.! !

RigidSortalClass subclass: #SubstanceSortal
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

SubstanceSortal subclass: #Collective
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Collective methodsFor: 'methods' stamp: 'Anonymous 5/6/2013 20:36'!
checkIfClassIsValid
     
     ( ( parent class = Phase ) | ( parent class = Role ) )
            ifTrue: [ ^false ];
            ifFalse: [ ^true ].! !

SubstanceSortal subclass: #Kind
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Kind methodsFor: 'methods' stamp: 'Anonymous 5/7/2013 17:11'!
checkIfClassIsValid
     
     "kind nemoze dedit od phase role subkind a rolemixin"
     ( ( parent class = Phase ) | ( parent class = Role ) | ( parent class = SubKind ) | ( parent class = RoleMixin ) )
            ifTrue: [ ^false ].
 
	^ true.! !

SubstanceSortal subclass: #Quantity
	instanceVariableNames: 'isExtensional'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Quantity methodsFor: 'methods' stamp: 'Anonymous 5/6/2013 20:36'!
checkIfClassIsValid
     
     ( ( parent class = Phase ) | ( parent class = Role ) )
            ifTrue: [ ^false ];
            ifFalse: [ ^true ].! !

!Quantity methodsFor: 'initialize-release' stamp: 'Anonymous 5/7/2013 18:29'!
initialize
	"Initialize a newly created instance. This method must answer the receiver."

	super initialize.
	" *** Edit the following to properly initialize instance variables ***"
	isExtensional := true.
	" *** And replace this comment with additional initialization code *** "
	^self! !

!Quantity methodsFor: 'accessing' stamp: 'Anonymous 5/7/2013 18:28'!
isExtensional
	^ isExtensional! !

!Quantity methodsFor: 'accessing' stamp: 'Anonymous 5/7/2013 18:28'!
isExtensional: anObject
	isExtensional := anObject! !

Object subclass: #Method
	instanceVariableNames: 'name returnDataType parameters'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GMF-MetaModel'!

!Method class methodsFor: 'instance creation' stamp: 'Anonymous 4/5/2013 10:28'!
name: newName

   ^(super new initialize)
      name: newName;
      yourself! !

!Method class methodsFor: 'instance creation' stamp: 'Anonymous 4/5/2013 10:38'!
name: newName returnDataType: newReturnDataType

   ^(super new initialize)
      name: newName;
      returnDataType: newReturnDataType;
      yourself! !

!Method methodsFor: 'initialize-release' stamp: 'Anonymous 4/5/2013 10:26'!
initialize
	"Initialize a newly created instance. This method must answer the receiver."

	super initialize.
	" *** Edit the following to properly initialize instance variables ***"
	name := nil.
	parameters := Set new.
	returnDataType := nil.
	" *** And replace this comment with additional initialization code *** "
	^self! !

!Method methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 10:25'!
name
	^ name! !

!Method methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 10:25'!
name: anObject
	name := anObject! !

!Method methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 10:25'!
parameters
	^ parameters! !

!Method methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 10:25'!
parameters: anObject
	parameters := anObject! !

!Method methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 10:25'!
returnDataType
	^ returnDataType! !

!Method methodsFor: 'accessing' stamp: 'Anonymous 4/5/2013 10:25'!
returnDataType: anObject
	returnDataType := anObject! !
